Home

# Library goog.window

Function Summary
| `open((Object|null|string) linkRef, ?Object= opt_options, ?Window= opt_parentWin) ⇒ ?Window` Opens a new window.

`openBlank(string= opt_message, ?Object= opt_options, ?Window= opt_parentWin) ⇒ ?Window`

Opens a new window without any real content in it. This can be used to get around popup blockers if you need to open a window in response to a user event, but need to do asynchronous work to determine the URL to open, and then set the URL later. Example usage: var newWin = goog.window.openBlank('Loading...'); setTimeout( function() { newWin.location.href = 'http://www.google.com'; }, 100);

| `popup((Object|null|string) linkRef, ?Object= opt_options) ⇒ boolean` Raise a help popup window, defaulting to "Google standard" size and name. (If your project is using GXPs, consider using {@link PopUpLink.gxp}.)